
%define themesdir %{_datadir}/themes

Summary:  Equinox GTK2 engine
Name: 	  gtk-equinox-engine
Version:  1.50
Release:  %mkrel 2
License:  GPL
Group: 	  Graphical desktop/GNOME
URL: 	  http://gnome-look.org/
Source0:  %{name}-%{version}.tar.xz
Patch0:    equinox-engine-1.5.0-glib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.8
Obsoletes:  %name
Provides:   %name = %{version}-%{release}

%description
Equinox gtk2 theme engine.

%prep
%setup -q 
%apply_patches

%build
autoreconf -fi
%configure2_5x --enable-animation

%make 

%install
rm -rf %{buildroot}
%makeinstall

#dont want this
rm -f %{buildroot}/%_libdir/gtk-2.0/2.10.0/engines/libequinox.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%_libdir/gtk-2.0/*/engines/libequinox.so


%changelog
* Thu Sep 19 2019 tex 0 1.50-2pclos2019
- apply patch and rebuild to update for 2019

* Mon May 02 2011 Texstar <texstar at gmail.com> 1.50-1pclos2011
- 1.50

* Wed Oct 06 2010 Texstar <texstar at gmail.com> 1.30.2-1pclos2010
- 1.30.2

* Sun Sep 26 2010 Texstar <texstar at gmail.com> 1.30.1-1pclos2010
- 1.30.1

* Fri Jul 02 2010 Texstar <texstar at gmail.com> 1.20-1pclos2010
- create package for pclos


